sc::ElectronDensity(3)

NAME
sc::ElectronDensity - This is a Volume that computer the electron density.

SYNOPSIS

#include <density.h>

Inherits sc::Volume.

  Public Member Functions
ElectronDensity (const Ref< KeyVal > &)
ElectronDensity (const Ref< Wavefunction > &)
virtual void boundingbox (double valuemin, double valuemax, SCVector3 &p1, SCVector3 &p2)

  Protected Member Functions
virtual void compute ()
Recompute at least the results that have compute true and are not already computed.

  Protected Attributes
Ref< Wavefunction > wfn_

Detailed Description

This is a Volume that computer the electron density. It can be used to generate isodensity surfaces.

Member Function Documentation

  virtual void sc::ElectronDensity::compute () [protected, virtual]

Recompute at least the results that have compute true and are not already computed.

This should only be called by Result's members.

Implements sc::Volume.

Author

Generated automatically by Doxygen for MPQC from the source code.